FLANG

Public Member Functions | Friends | List of all members
Fortran::semantics::ProcEntityDetails Class Reference
Inheritance diagram for Fortran::semantics::ProcEntityDetails:

## Public Member Functions
| ProcEntityDetails (EntityDetails &&d)
const ProcInterface & | interface () const
ProcInterface & | interface ()
void | set_interface (const ProcInterface &interface)
bool | IsInterfaceSet ()
bool | HasExplicitInterface () const
std::optional< const Symbol * > | init () const
void | set_init (const Symbol &symbol)
void | set_init (std::nullptr_t)
Public Member Functions inherited from Fortran::semantics::EntityDetails
| EntityDetails (bool isDummy=false)
const DeclTypeSpec * | type () const
void | set_type (const DeclTypeSpec &)
void | ReplaceType (const DeclTypeSpec &)
bool | isDummy () const
void | set_isDummy (bool value=true)
bool | isFuncResult () const
void | set_funcResult (bool x)
MaybeExpr | bindName () const
void | set_bindName (MaybeExpr &&expr)
Public Member Functions inherited from Fortran::semantics::WithPassArg
std::optional< SourceName > | passName () const
void | set_passName (const SourceName &passName)

## Friends
llvm::raw_ostream & | operator<< (llvm::raw_ostream &, const ProcEntityDetails &)

The documentation for this class was generated from the following files:

- include/flang/Semantics/symbol.h
- lib/Semantics/symbol.cpp